Loading...
Searching...
No Matches
auth_client_plugin.h File Reference

Client-side plugin interface for authentication. More...

`#include "sofia-sip/auth_client.h"`
`#include <sofia-sip/msg_header.h>`
Include dependency graph for auth_client_plugin.h:

Go to the source code of this file.

## Macros

#define | AUTH_CLIENT_PLUGIN_H
| Defined when <sofia-sip/auth_client_plugin.h> has been included.
#define | AUTH_CLIENT_IS_EXTENDED(ca)
| Check if authentication client has been extended.
#define | AUTH_CLIENT_SAVE_CREDENTIALS(ca)
| Return auc_save_credentials method from authentication client.
#define | AUTH_CLIENT_COPY_CREDENTIALS(ca)
| Return auc_copy_credentials method from authentication client.

## Functions

int | auth_client_save_credentials (auth_client_t *ac, char const *scheme, char const *realm, char const *user, char const *pass)
| Save authentication data to an authenticator.
int | auth_client_copy_credentials (auth_client_t *ac, auth_client_t const *src)
| Copy authentication data from a matching client in src to d.

## Detailed Description

Client-side plugin interface for authentication.

Note
  For extensions in 1.12.6 or later, you have to define SOFIA_EXTEND_AUTH_CLIENT to 1 before including this file.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Fri May 19 16:18:21 EEST 2006

## Macro Definition Documentation

## AUTH_CLIENT_COPY_CREDENTIALS

#define AUTH_CLIENT_COPY_CREDENTIALS | ( |  | ca | ) |

Return auc_copy_credentials method from authentication client.

Since
  New in 1.12.11.

## AUTH_CLIENT_IS_EXTENDED

#define AUTH_CLIENT_IS_EXTENDED | ( |  | ca | ) |

Check if authentication client has been extended.

Since
  New in 1.12.6.

## AUTH_CLIENT_SAVE_CREDENTIALS

#define AUTH_CLIENT_SAVE_CREDENTIALS | ( |  | ca | ) |

Return auc_save_credentials method from authentication client.

Since
  New in 1.12.11.

## Function Documentation

## auth_client_copy_credentials()

int auth_client_copy_credentials | ( | auth_client_t * | d,
|  | auth_client_t const * | s )

Copy authentication data from a matching client in src to d.

Return values

  1 | if credentials were copied
  0 | clients did not match
  -1 | if an error occurred.

Since
  New in 1.12.11

## auth_client_save_credentials()

int auth_client_save_credentials | ( | auth_client_t * | ca,
|  | char const * | scheme,
|  | char const * | realm,
|  | char const * | user,
|  | char const * | pass )

Save authentication data to an authenticator.

Function saves the authentication data in the authentication client, if the scheme and the realm match.

Parameters

  [in] | ca | client authenticator
  [in] | scheme | scheme to use (NULL, if any)
  [in] | realm | realm to use (NULL, if any)
  [in] | user | username
  [in] | pass | password

Return values

  1 | if successful
  0 | data did not match
  -1 | upon an error

Since
  New in 1.12.11

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.